import { app } from '../../css/app/css';

import { AppAside } from './aside';
import { AppContent } from './content';

interface IAppProperties {
  aside?: any;
  asideColor?: string;
  asideTitle?: string;
  asideTitleColor?: string;
  content?: any;
  contentColor?: string;
  contentTitle?: string;
  contentToolbar?: any;
  contentToolbarColor?: string;
}

export class App extends React.Component<IAppProperties, {}> {
  public render() {
    let Aside = this.props.aside;
    let Content = this.props.content;
    return (
      <div className={app.app}>
        <AppAside color={this.props.asideColor} title={this.props.asideTitle} titleColor={this.props.asideTitleColor}>
          <Aside/>
        </AppAside>
        <AppContent color={this.props.contentColor} title={this.props.contentTitle} toolbar={this.props.contentToolbar} toolbarColor={this.props.contentToolbarColor}>
          <Content/>
        </AppContent>
      </div>
    )
  }
}
