import { CssClassList } from '../../utilities/css';
import { userImage } from '../../css/user/image/css';

export interface IUserImageProps {
  large?: boolean;
  src: string;
}

export class UserImage extends React.Component<IUserImageProps, {}> {
  public render() {
    let _css = new CssClassList();
    _css.add(this.props.large ? userImage.large : userImage.userImage);
    return (
      <div className={userImage.wrapper}>
        <img className={_css} src={this.props.src}/> {this.props.children}
      </div>
    )
  }
}
