import { CssClassList } from '../../utilities/css';
import { user } from '../../css/user/css';
import { UserImage } from './image';

export interface IUser {
  vSpace?: boolean;
}

export class User extends React.Component<IUser, {}> {
  public static Image = UserImage;

  public render() {
    let _css = new CssClassList(user.user);
    if (this.props.vSpace) _css.add(user.vSpaced);
    return (
      <div className={_css}>
        {this.props.children}
      </div>
    )
  }
}
