import { range } from '../../css/form/range/css';
import { CssClassList } from '../../utilities/css';

interface IFormRangeProps {
  color?: string;
  onChange?: any;
  value?: number;
}

interface IFormRangeState {

}

export class Range extends React.Component<IFormRangeProps, IFormRangeState> {
  public render() {
    let css = new CssClassList;

    css.add(range.range);
    css.add(range[this.props.color] || range.blue);

    return (
      <input className={css.toString()} onChange={this.props.onChange} type="range" value={this.props.value}/>
    )
  }
}
