import { wrapper } from '../../css/wrapper/css';
import { CssClassList } from '../../utilities/css';

export interface IWrapperProps {
  size?: string;
}

export class Wrapper extends React.Component<IWrapperProps, any> {
  public render() {
    let _css = new CssClassList(wrapper.wrapper);
    if (this.props.size) _css.add(wrapper[this.props.size]);
    return (
      <div className={_css.toString()}>{this.props.children}</div>
    )
  }
}
