namespace alignCenter {
  export const xs: string = 'text--center-xs';
  export const sm: string = 'text--center-sm';
  export const md: string = 'text--center-md';
  export const lg: string = 'text--center-lg';
  export const xl: string = 'text--center-xl';
}
namespace alignLeft {
  export const xs: string = 'text--left-xs';
  export const sm: string = 'text--left-sm';
  export const md: string = 'text--left-md';
  export const lg: string = 'text--left-lg';
  export const xl: string = 'text--left-xl';
}
namespace alignRight {
  export const xs: string = 'text--right-xs';
  export const sm: string = 'text--right-sm';
  export const md: string = 'text--right-md';
  export const lg: string = 'text--right-lg';
  export const xl: string = 'text--right-xl';
}

export namespace align {
  export const center = alignCenter;
  export const left = alignLeft;
  export const right = alignRight;
}
