export function get(selector): Element {
  return document.querySelector(selector);
}

export function getAll(selector): Array<Element> {
  return [].slice.call(document.querySelectorAll(selector));
}

export function ready(callback: any) {
  return document.addEventListener('DOMContentLoaded', callback);
}

export function renderComponent(component: any, target): Function {
  return function () {
    ReactDOM.render(component, get(target));
  }
}
